import { Fragment, jsx } from "react/jsx-runtime";
import { useEffect, useState, memo } from "react";
const RenderWithDelay = memo(({ render }) => {
  const [show, showComponents] = useState(false);
  useEffect(() => {
    const timeoutId = setTimeout(showComponents.bind(null, true), 0);
    return () => {
      clearTimeout(timeoutId);
    };
  }, []);
  return /* @__PURE__ */ jsx(Fragment, { children: show ? render() : "" });
});
export {
  RenderWithDelay
};
